chopper2 3.0.6

Dart native js
Flutter Android iOS web

Chopper is an http client generator using source_gen and inspired from retrofit

0
likes
90 / 110
pub points
63 %
popularity

We analyzed this package on Oct 28, 2020, and awarded it 90 pub points (of a possible 110):

Follow Dart file conventions
10 / 20

0/10 points: Provide a valid pubspec.yaml

Homepage URL doesn't exist.

At the time of the analysis https://hadrien-lejard.gitbook.io/chopper was unreachable.

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

Provide documentation
20 / 20

10/10 points: Package has an example

  • Found example at: example/main.dart

10/10 points: 20% or more of the public API has dartdoc comments

  • 72 out of 175 API elements (41.1 %) have documentation comments.
Support multiple platforms
20 / 20

20/20 points: Supports 2 of 2 possible platforms (native, js)

Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

lib/src/browser.dart is not formatted according to dartfmt

To format your files run: dartfmt -w .

lib/src/io.dart is not formatted according to dartfmt

To format your files run: dartfmt -w .

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
http>=0.11.0 <1.0.00.12.20.12.2
logging^0.11.40.11.40.11.4
meta^1.2.31.2.31.2.3
Transitive dependencies
PackageConstraintCompatibleLatest
charcode-1.1.31.1.3
collection-1.14.131.14.13
path-1.7.01.7.0
source_span-1.7.01.7.0
string_scanner-1.0.51.0.5
term_glyph-1.1.01.1.0
typed_data-1.2.01.2.0

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

0
likes
90
pub points
63%
popularity

Chopper is an http client generator using source_gen and inspired from retrofit

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

humazed@gmail.com

License

MIT (LICENSE)

Dependencies

http, logging, meta

More

Packages that depend on chopper2